<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Tue Aug 01 04:47:44 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Uses of Class org.eclipse.papyrus.marte.vsl.ui.contentassist.FeatureTree (org.eclipse.papyrus.marte.vsl.ui 1.2.2 API)</title>
<meta name="date" content="2017-08-01">
<link rel="stylesheet" type="text/css" href="../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.eclipse.papyrus.marte.vsl.ui.contentassist.FeatureTree (org.eclipse.papyrus.marte.vsl.ui 1.2.2 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/marte/vsl/ui/contentassist/FeatureTree.html" title="class in org.eclipse.papyrus.marte.vsl.ui.contentassist">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/marte/vsl/ui/contentassist/class-use/FeatureTree.html" target="_top">Frames</a></li>
<li><a href="FeatureTree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class org.eclipse.papyrus.marte.vsl.ui.contentassist.FeatureTree" class="title">Uses of Class<br>org.eclipse.papyrus.marte.vsl.ui.contentassist.FeatureTree</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../../../../org/eclipse/papyrus/marte/vsl/ui/contentassist/FeatureTree.html" title="class in org.eclipse.papyrus.marte.vsl.ui.contentassist">FeatureTree</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.marte.vsl.ui.contentassist">org.eclipse.papyrus.marte.vsl.ui.contentassist</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="org.eclipse.papyrus.marte.vsl.ui.contentassist">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../../org/eclipse/papyrus/marte/vsl/ui/contentassist/FeatureTree.html" title="class in org.eclipse.papyrus.marte.vsl.ui.contentassist">FeatureTree</a> in <a href="../../../../../../../../org/eclipse/papyrus/marte/vsl/ui/contentassist/package-summary.html">org.eclipse.papyrus.marte.vsl.ui.contentassist</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../../org/eclipse/papyrus/marte/vsl/ui/contentassist/package-summary.html">org.eclipse.papyrus.marte.vsl.ui.contentassist</a> that return types with arguments of type <a href="../../../../../../../../org/eclipse/papyrus/marte/vsl/ui/contentassist/FeatureTree.html" title="class in org.eclipse.papyrus.marte.vsl.ui.contentassist">FeatureTree</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../org/eclipse/papyrus/marte/vsl/ui/contentassist/FeatureTree.html" title="class in org.eclipse.papyrus.marte.vsl.ui.contentassist">FeatureTree</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">FeatureTree.</span><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/marte/vsl/ui/contentassist/FeatureTree.html#buildListOfFeatureTrees-org.eclipse.uml2.uml.Classifier-">buildListOfFeatureTrees</a></span>(org.eclipse.uml2.uml.Classifier&nbsp;classifier)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Method parameters in <a href="../../../../../../../../org/eclipse/papyrus/marte/vsl/ui/contentassist/package-summary.html">org.eclipse.papyrus.marte.vsl.ui.contentassist</a> with type arguments of type <a href="../../../../../../../../org/eclipse/papyrus/marte/vsl/ui/contentassist/FeatureTree.html" title="class in org.eclipse.papyrus.marte.vsl.ui.contentassist">FeatureTree</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><span class="typeNameLabel">FeatureTree.</span><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/marte/vsl/ui/contentassist/FeatureTree.html#canClassifierBeReached-java.util.List-org.eclipse.uml2.uml.Classifier-">canClassifierBeReached</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../org/eclipse/papyrus/marte/vsl/ui/contentassist/FeatureTree.html" title="class in org.eclipse.papyrus.marte.vsl.ui.contentassist">FeatureTree</a>&gt;&nbsp;listOfFeatureTrees,
                      org.eclipse.uml2.uml.Classifier&nbsp;classifier)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/marte/vsl/ui/contentassist/FeatureTree.html" title="class in org.eclipse.papyrus.marte.vsl.ui.contentassist">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/marte/vsl/ui/contentassist/class-use/FeatureTree.html" target="_top">Frames</a></li>
<li><a href="FeatureTree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
